Update a customer
PATCH
/api/v1/customers/{id}
const url = 'https://example.com/api/v1/customers/example';const options = { method: 'PATCH', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"email":"new@example.com","name":"Jane Doe","phone":"+15555555555"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/customers/example \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "email": "new@example.com", "name": "Jane Doe", "phone": "+15555555555" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
email
string format: email
Example
new@example.comname
string
Example
Jane Doephone
string
Example
+15555555555Responses
Section titled “Responses”Media typeapplication/json
object
id
required
string
stripeCustomerId
required
string
email
required
string
name
required
string
phone
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example generated
{ "id": "example", "stripeCustomerId": "example", "email": "example", "name": "example", "phone": "example", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z"}